name: Verify generated files are up to date
runs:
  using: composite
  steps:
    - shell: bash
      run: |
        set -x
        [[ "$OSTYPE" == "darwin"* ]] && export PATH="/usr/local/opt/bison/bin:$PATH"
        scripts/dev/genfiles
        Zend/zend_vm_gen.php
        build/gen_stub.php -f
        build/gen_stub.php --generate-optimizer-info
        git add . -Nu && git diff --exit-code
